import { h } from "@stencil/core";
export class Breadcrumb {
    constructor() {
        /**
         * CSS Classes
         */
        this.class = '';
    }
    render() {
        return (h("nav", { class: {
                breadcrumb: true,
                [this.size]: Boolean(this.size),
                [this.separator]: Boolean(this.separator),
                [this.alignment]: Boolean(this.alignment),
                [this.class]: Boolean(this.class),
            }, "aria-label": "breadcrumbs" },
            h("slot", null)));
    }
    static get is() { return "bm-breadcrumb"; }
    static get originalStyleUrls() { return {
        "$": ["breadcrumb.scss"]
    }; }
    static get styleUrls() { return {
        "$": ["breadcrumb.css"]
    }; }
    static get properties() { return {
        "class": {
            "type": "string",
            "mutable": false,
            "complexType": {
                "original": "string",
                "resolved": "string",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "CSS Classes"
            },
            "attribute": "class",
            "reflect": false,
            "defaultValue": "''"
        },
        "alignment": {
            "type": "string",
            "mutable": false,
            "complexType": {
                "original": "'is-centered' | 'is-right'",
                "resolved": "\"is-centered\" | \"is-right\"",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "Breadcrumb alignment"
            },
            "attribute": "alignment",
            "reflect": false
        },
        "size": {
            "type": "string",
            "mutable": false,
            "complexType": {
                "original": "'is-small' | 'is-medium' | 'is-large'",
                "resolved": "\"is-large\" | \"is-medium\" | \"is-small\"",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "Size"
            },
            "attribute": "size",
            "reflect": false
        },
        "separator": {
            "type": "string",
            "mutable": false,
            "complexType": {
                "original": "| 'has-arrow-separator'\n    | 'has-bullet-separator'\n    | 'has-dot-separator'\n    | 'has-succeeds-separator'",
                "resolved": "\"has-arrow-separator\" | \"has-bullet-separator\" | \"has-dot-separator\" | \"has-succeeds-separator\"",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "Separator"
            },
            "attribute": "separator",
            "reflect": false
        }
    }; }
}
