import { h } from "@stencil/core";
export class Navbar {
    constructor() {
        /**
         * CSS Classes
         */
        this.class = '';
        /**
         * Transparent
         */
        this.isTransparent = false;
        /**
         * Spaced
         */
        this.isSpaced = false;
    }
    render() {
        return (h("nav", { class: {
                navbar: true,
                'is-spaced': this.isSpaced,
                'is-transparent': this.isTransparent,
                [this.color]: Boolean(this.color),
                [this.fixedPosition]: Boolean(this.fixedPosition),
                [this.class]: Boolean(this.class),
            }, role: "navigation", "aria-label": "main navigation" },
            h("slot", null)));
    }
    static get is() { return "bm-navbar"; }
    static get originalStyleUrls() { return {
        "$": ["navbar.scss"]
    }; }
    static get styleUrls() { return {
        "$": ["navbar.css"]
    }; }
    static get properties() { return {
        "class": {
            "type": "string",
            "mutable": false,
            "complexType": {
                "original": "string",
                "resolved": "string",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "CSS Classes"
            },
            "attribute": "class",
            "reflect": false,
            "defaultValue": "''"
        },
        "isTransparent": {
            "type": "boolean",
            "mutable": false,
            "complexType": {
                "original": "boolean",
                "resolved": "boolean",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "Transparent"
            },
            "attribute": "is-transparent",
            "reflect": false,
            "defaultValue": "false"
        },
        "color": {
            "type": "string",
            "mutable": false,
            "complexType": {
                "original": "| 'is-black'\n    | 'is-dark'\n    | 'is-light'\n    | 'is-white'\n    | 'is-primary'\n    | 'is-link'\n    | 'is-info'\n    | 'is-success'\n    | 'is-warning'\n    | 'is-danger'",
                "resolved": "\"is-black\" | \"is-danger\" | \"is-dark\" | \"is-info\" | \"is-light\" | \"is-link\" | \"is-primary\" | \"is-success\" | \"is-warning\" | \"is-white\"",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "Color"
            },
            "attribute": "color",
            "reflect": false
        },
        "fixedPosition": {
            "type": "string",
            "mutable": false,
            "complexType": {
                "original": "'is-fixed-top' | 'is-fixed-bottom'",
                "resolved": "\"is-fixed-bottom\" | \"is-fixed-top\"",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "Fixed position"
            },
            "attribute": "fixed-position",
            "reflect": false
        },
        "isSpaced": {
            "type": "boolean",
            "mutable": false,
            "complexType": {
                "original": "boolean",
                "resolved": "boolean",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "Spaced"
            },
            "attribute": "is-spaced",
            "reflect": false,
            "defaultValue": "false"
        }
    }; }
}
