import { h, Host } from "@stencil/core";
export class Pagination {
    constructor() {
        /**
         * CSS Classes
         */
        this.class = '';
        /**
         * Rounded
         */
        this.isRounded = false;
    }
    render() {
        return (h(Host, null,
            h("nav", { class: {
                    pagination: true,
                    [this.size]: Boolean(this.size),
                    [this.alignment]: Boolean(this.alignment),
                    'is-rounded': this.isRounded,
                    [this.class]: Boolean(this.class),
                }, role: "navigation", "aria-label": "pagination" },
                h("slot", null))));
    }
    static get is() { return "bm-pagination"; }
    static get originalStyleUrls() { return {
        "$": ["pagination.scss"]
    }; }
    static get styleUrls() { return {
        "$": ["pagination.css"]
    }; }
    static get properties() { return {
        "class": {
            "type": "string",
            "mutable": false,
            "complexType": {
                "original": "string",
                "resolved": "string",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "CSS Classes"
            },
            "attribute": "class",
            "reflect": false,
            "defaultValue": "''"
        },
        "size": {
            "type": "string",
            "mutable": false,
            "complexType": {
                "original": "'is-small' | 'is-medium' | 'is-large'",
                "resolved": "\"is-large\" | \"is-medium\" | \"is-small\"",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "Pagination size"
            },
            "attribute": "size",
            "reflect": false
        },
        "alignment": {
            "type": "string",
            "mutable": false,
            "complexType": {
                "original": "'is-centered' | 'is-right'",
                "resolved": "\"is-centered\" | \"is-right\"",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "Alignment"
            },
            "attribute": "alignment",
            "reflect": false
        },
        "isRounded": {
            "type": "boolean",
            "mutable": false,
            "complexType": {
                "original": "boolean",
                "resolved": "boolean",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "Rounded"
            },
            "attribute": "is-rounded",
            "reflect": false,
            "defaultValue": "false"
        }
    }; }
}
