import { h, Host } from "@stencil/core";
export class Tabs {
    constructor() {
        /**
         * CSS Classes
         */
        this.class = '';
        /**
         * Rounded
         */
        this.isRounded = false;
        /**
         * Full width
         */
        this.isFullwidth = false;
    }
    render() {
        return (h(Host, null,
            h("div", { class: {
                    tabs: true,
                    [this.size]: Boolean(this.size),
                    [this.alignment]: Boolean(this.alignment),
                    [this.tabStyle]: Boolean(this.tabStyle),
                    'is-fullwidth': this.isFullwidth,
                    'is-toggle-rounded': this.isRounded && this.tabStyle === 'is-toggle',
                    [this.class]: Boolean(this.class),
                } },
                h("slot", null))));
    }
    static get is() { return "bm-tabs"; }
    static get originalStyleUrls() { return {
        "$": ["tabs.scss"]
    }; }
    static get styleUrls() { return {
        "$": ["tabs.css"]
    }; }
    static get properties() { return {
        "class": {
            "type": "string",
            "mutable": false,
            "complexType": {
                "original": "string",
                "resolved": "string",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "CSS Classes"
            },
            "attribute": "class",
            "reflect": false,
            "defaultValue": "''"
        },
        "size": {
            "type": "string",
            "mutable": false,
            "complexType": {
                "original": "'is-small' | 'is-medium' | 'is-large'",
                "resolved": "\"is-large\" | \"is-medium\" | \"is-small\"",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "Pagination size"
            },
            "attribute": "size",
            "reflect": false
        },
        "alignment": {
            "type": "string",
            "mutable": false,
            "complexType": {
                "original": "'is-centered' | 'is-right'",
                "resolved": "\"is-centered\" | \"is-right\"",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "Alignment"
            },
            "attribute": "alignment",
            "reflect": false
        },
        "tabStyle": {
            "type": "string",
            "mutable": false,
            "complexType": {
                "original": "'is-boxed' | 'is-toggle'",
                "resolved": "\"is-boxed\" | \"is-toggle\"",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "Style"
            },
            "attribute": "tab-style",
            "reflect": false
        },
        "isRounded": {
            "type": "boolean",
            "mutable": false,
            "complexType": {
                "original": "boolean",
                "resolved": "boolean",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "Rounded"
            },
            "attribute": "is-rounded",
            "reflect": false,
            "defaultValue": "false"
        },
        "isFullwidth": {
            "type": "boolean",
            "mutable": false,
            "complexType": {
                "original": "boolean",
                "resolved": "boolean",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "Full width"
            },
            "attribute": "is-fullwidth",
            "reflect": false,
            "defaultValue": "false"
        }
    }; }
}
