import { h, Host } from "@stencil/core";
export class Content {
    constructor() {
        /**
         * CSS Classes
         */
        this.class = '';
    }
    render() {
        return (h(Host, null,
            h("div", { class: {
                    content: true,
                    [this.size]: Boolean(this.size),
                    [this.class]: Boolean(this.class),
                } },
                h("slot", null))));
    }
    static get is() { return "bm-content"; }
    static get originalStyleUrls() { return {
        "$": ["content.scss"]
    }; }
    static get styleUrls() { return {
        "$": ["content.css"]
    }; }
    static get properties() { return {
        "class": {
            "type": "string",
            "mutable": false,
            "complexType": {
                "original": "string",
                "resolved": "string",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "CSS Classes"
            },
            "attribute": "class",
            "reflect": false,
            "defaultValue": "''"
        },
        "size": {
            "type": "string",
            "mutable": false,
            "complexType": {
                "original": "'is-small' | 'is-medium' | 'is-large'",
                "resolved": "\"is-large\" | \"is-medium\" | \"is-small\"",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "Content size"
            },
            "attribute": "size",
            "reflect": false
        }
    }; }
}
