import { h } from "@stencil/core";
export class Tag {
    constructor() {
        /**
         * Tag
         */
        this.tag = 'span';
    }
    render() {
        const TagType = this.tag;
        return (h(TagType, { class: {
                tag: true,
                [this.color]: Boolean(this.color),
                [this.size]: Boolean(this.size),
                [this.modifier]: Boolean(this.modifier),
                [this.class]: Boolean(this.class),
            } }, this.modifier !== 'is-delete' && h("slot", null)));
    }
    static get is() { return "bm-tag"; }
    static get originalStyleUrls() { return {
        "$": ["tag.scss"]
    }; }
    static get styleUrls() { return {
        "$": ["tag.css"]
    }; }
    static get properties() { return {
        "class": {
            "type": "string",
            "mutable": false,
            "complexType": {
                "original": "string",
                "resolved": "string",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "CSS Classes"
            },
            "attribute": "class",
            "reflect": false
        },
        "tag": {
            "type": "string",
            "mutable": false,
            "complexType": {
                "original": "string",
                "resolved": "string",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "Tag"
            },
            "attribute": "tag",
            "reflect": false,
            "defaultValue": "'span'"
        },
        "color": {
            "type": "string",
            "mutable": false,
            "complexType": {
                "original": "| 'is-black'\n    | 'is-dark'\n    | 'is-light'\n    | 'is-white'\n    | 'is-primary'\n    | 'is-link'\n    | 'is-info'\n    | 'is-success'\n    | 'is-warning'\n    | 'is-danger'",
                "resolved": "\"is-black\" | \"is-danger\" | \"is-dark\" | \"is-info\" | \"is-light\" | \"is-link\" | \"is-primary\" | \"is-success\" | \"is-warning\" | \"is-white\"",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "Color"
            },
            "attribute": "color",
            "reflect": false
        },
        "size": {
            "type": "string",
            "mutable": false,
            "complexType": {
                "original": "'is-normal' | 'is-medium' | 'is-large'",
                "resolved": "\"is-large\" | \"is-medium\" | \"is-normal\"",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "Size"
            },
            "attribute": "size",
            "reflect": false
        },
        "modifier": {
            "type": "string",
            "mutable": false,
            "complexType": {
                "original": "'is-rounded' | 'is-delete'",
                "resolved": "\"is-delete\" | \"is-rounded\"",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "Modifier"
            },
            "attribute": "modifier",
            "reflect": false
        }
    }; }
}
