import { h, Host } from "@stencil/core";
export class Column {
    constructor() {
        /**
         * CSS Classes
         */
        this.class = '';
    }
    render() {
        return (h(Host, { class: {
                column: true,
                'is-narrow': this.isNarrow && typeof this.isNarrow === 'boolean',
                [this.sizes]: Boolean(this.sizes),
                [this.class]: Boolean(this.class),
            } }));
    }
    static get is() { return "bm-column"; }
    static get properties() { return {
        "class": {
            "type": "string",
            "mutable": false,
            "complexType": {
                "original": "string",
                "resolved": "string",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "CSS Classes"
            },
            "attribute": "class",
            "reflect": false,
            "defaultValue": "''"
        },
        "sizes": {
            "type": "string",
            "mutable": false,
            "complexType": {
                "original": "string",
                "resolved": "string",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "Sizes"
            },
            "attribute": "sizes",
            "reflect": false
        },
        "isNarrow": {
            "type": "boolean",
            "mutable": false,
            "complexType": {
                "original": "boolean",
                "resolved": "boolean",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "Narrow column"
            },
            "attribute": "is-narrow",
            "reflect": false
        }
    }; }
}
