import { h, Host } from "@stencil/core";
export class Divider {
    constructor() {
        /**
         * CSS Classes
         */
        this.class = '';
        /**
         * CSS Classes
         */
        this.content = '';
        /**
         * Orientation
         */
        this.orientation = 'is-horizontal';
    }
    render() {
        return (h(Host, { class: {
                [this.class]: Boolean(this.class),
                'is-divider': this.orientation === 'is-horizontal',
                'is-divider-vertical': this.orientation === 'is-vertical',
            }, "data-content": this.content }));
    }
    static get is() { return "bm-divider"; }
    static get originalStyleUrls() { return {
        "$": ["divider.scss"]
    }; }
    static get styleUrls() { return {
        "$": ["divider.css"]
    }; }
    static get properties() { return {
        "class": {
            "type": "string",
            "mutable": false,
            "complexType": {
                "original": "string",
                "resolved": "string",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "CSS Classes"
            },
            "attribute": "class",
            "reflect": false,
            "defaultValue": "''"
        },
        "content": {
            "type": "string",
            "mutable": false,
            "complexType": {
                "original": "string",
                "resolved": "string",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "CSS Classes"
            },
            "attribute": "content",
            "reflect": false,
            "defaultValue": "''"
        },
        "orientation": {
            "type": "string",
            "mutable": false,
            "complexType": {
                "original": "'is-horizontal' | 'is-vertical'",
                "resolved": "\"is-horizontal\" | \"is-vertical\"",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "Orientation"
            },
            "attribute": "orientation",
            "reflect": false,
            "defaultValue": "'is-horizontal'"
        }
    }; }
}
