import { h, Host } from "@stencil/core";
export class Section {
    constructor() {
        /**
         * CSS Classes
         */
        this.class = '';
    }
    render() {
        return (h(Host, { class: {
                section: true,
                [this.size]: Boolean(this.size),
                [this.class]: Boolean(this.class),
            } }));
    }
    static get is() { return "bm-section"; }
    static get originalStyleUrls() { return {
        "$": ["section.scss"]
    }; }
    static get styleUrls() { return {
        "$": ["section.css"]
    }; }
    static get properties() { return {
        "class": {
            "type": "string",
            "mutable": false,
            "complexType": {
                "original": "string",
                "resolved": "string",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "CSS Classes"
            },
            "attribute": "class",
            "reflect": false,
            "defaultValue": "''"
        },
        "size": {
            "type": "string",
            "mutable": false,
            "complexType": {
                "original": "'is-medium' | 'is-large'",
                "resolved": "\"is-large\" | \"is-medium\"",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "Section size"
            },
            "attribute": "size",
            "reflect": false
        }
    }; }
}
