import { r as registerInstance, h } from './core-e6174304.js';

const Checkbox = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        /**
         * CSS Classes
         */
        this.class = '';
        /**
         * Label classes
         */
        this.labelClass = '';
        /**
         * Checked
         */
        this.checked = false;
        /**
         * Disabled
         */
        this.disabled = false;
    }
    render() {
        return (h("label", { class: {
                checkbox: true,
                [this.labelClass]: Boolean(this.labelClass),
            } }, h("input", { type: "checkbox", class: {
                [this.class]: Boolean(this.class),
            }, disabled: this.disabled, checked: this.checked }), h("slot", null)));
    }
    static get style() { return ".checkbox,.radio{cursor:pointer;display:inline-block;line-height:1.25;position:relative}.checkbox input,.radio input{cursor:pointer}.checkbox:hover,.radio:hover{color:#363636}[disabled].checkbox,[disabled].radio,fieldset[disabled] .checkbox,fieldset[disabled] .radio{color:#7a7a7a;cursor:not-allowed}.radio+.radio{margin-left:.5em}bm-checkbox[disabled=true] .checkbox{color:#7a7a7a;cursor:not-allowed}"; }
};

export { Checkbox as bm_checkbox };
