import { JSX, ComponentInterface } from '../../../stencil.core';
export declare class Button implements ComponentInterface {
    /**
     * Is disabled?
     */
    disabled: boolean;
    /**
     * CSS classes
     */
    class: string;
    /**
     * Color
     */
    color: 'is-primary' | 'is-link' | 'is-info' | 'is-success' | 'is-danger' | 'is-warning' | 'is-white' | 'is-light' | 'is-dark' | 'is-black' | 'is-text';
    /**
     * Size
     */
    size: 'is-small' | 'is-medium' | 'is-large' | 'is-normal';
    /**
     * Display the button in full-width
     */
    isFullwidth: boolean;
    /**
     * Is outlined
     */
    isOutlined: boolean;
    /**
     * Is inverted
     */
    isInverted: boolean;
    /**
     * Rounded button
     */
    isRounded: boolean;
    /**
     * Hovered state
     */
    isHovered: boolean;
    /**
     * Focused state
     */
    isFocused: boolean;
    /**
     * Active state
     */
    isActive: boolean;
    /**
     * Static
     */
    isStatic: boolean;
    /**
     * Loading state
     */
    isLoading: boolean;
    render(): JSX.Element;
}
